| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csScopedLock< T > Class Template Reference

List of all members.

## Public Member Functions
| csScopedLock (T &lock)
| ~csScopedLock ()
## Public Attributes
T & | lock

## Detailed Description

### template<class T>
class csScopedLock< T >

Definition at line 57 of file scopedmutexlock.h.

The documentation for this class was generated from the following file:

- csutil/scopedmutexlock.h